Bug 1308820 - RHEL 7.2 VM created from On-Demmand Image is showing "not registered" when running "yum update"
RHEL 7.2 VM created from On-Demmand Image is showing "not registered" when ru...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
other Linux
unspecified Severity high
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 03:24 EST by mingzhan
Modified: 2016-02-18 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1308828 (view as bug list)
Environment:
Last Closed: 2016-02-18 17:01:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mingzhan 2016-02-16 03:24:05 EST
Description of problem:

RHEL 7.2 VM created from On-Demmand Image is showing "not registered" when running "yum update"

Version-Release number of selected component (if applicable):
TBD

How reproducible:
100%

Steps to Reproduce:
1.Login Azure portal through portal.azure.com
2.Create a RHEL 7.2 VM
3.Login the VM through SSH
4.Run "sudo yum update"

Actual results:
[azureuser@scotttestrhel72 ~]$ sudo yum update

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

[sudo] password for azureuser:
Loaded plugins: langpacks, product-id, rhui-lb, search-disabled-repos,
              : subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
No packages marked for update

Actually, below will be always showing up when running yum related command:

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Expected results:
-the output should be indicating this is an registered RHEL.

Additional info:
The "not registered" message could be ignored given the "yum update" actually worked as design. 
but the message provided the bad user experience.
Comment 2 mingzhan 2016-02-17 05:26:03 EST
Hi,Valentina

This bug is now having the high visibility to impact the user experience, do we have any work-around to fix it inside of image?

Scott
Comment 3 Barnaby Court 2016-02-18 17:01:43 EST
Subscription manager appears to be working exactly the it was designed. If no subscription is attached to the system then no updates will be provided. 

Please open a support case with Red Hat from the Azure Portal for support of on-demand images.

Note You need to log in before you can comment on or make changes to this bug.